#---------------------------------------------------------------
#	Raspberry Pi 3 - CPU load
#---------------------------------------------------------------

# The second entry in the CPU line should always return "0"
# .iso.org.dod.internet.mgmt.mib-2.host.hrSystem.hrSystemMaxProcesses
# I use Maximum Number of Process Contexts: .1.3.6.1.2.1.25.1.7.0
Target[raspi3-CPU]: .1.3.6.1.2.1.25.3.3.1.2.768&1.3.6.1.2.1.25.1.7.0:public@raspi-3
MaxBytes[raspi3-CPU]: 100
YLegend[raspi3-CPU]: CPU %
ShortLegend[raspi3-CPU]: %
LegendI[raspi3-CPU]: CPU
Legend1[raspi3-CPU]: CPU usage
Options[raspi3-CPU]: integer, gauge, nopercent, growright, unknaszero, noo
Title[raspi3-CPU]: Raspberry Pi 3 CPU load
PageTop[raspi3-CPU]: <H2>Raspberry Pi 3 - CPU load</H2>

#---------------------------------------------------------------
#	Raspberry Pi 3 - CPU temperature
#---------------------------------------------------------------

Target[raspi3-CPU-temp]: .1.3.6.1.2.1.25.1.8&1.3.6.1.2.1.25.1.7.0:public@raspi-3
MaxBytes[raspi3-CPU-temp]: 100000
MaxBytes2[raspi3-CPU-temp]: 100000
Title[raspi3-CPU-temp]: CPU temperature on Raspberry Pi 3
Options[raspi3-CPU-temp]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi3-CPU-temp]: Temperature C
ShortLegend[raspi3-CPU-temp]: C
kMG[raspi3-CPU-temp]: ,
Factor[raspi3-CPU-temp]: 0.001
Legend1[raspi3-CPU-temp]: CPU temperature in C
LegendI[raspi3-CPU-temp]: CPU temperature
PageTop[raspi3-CPU-temp]: <H1>Raspberry Pi 3 - CPU Temperature</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Memory
#---------------------------------------------------------------

Target[raspi3-mem]: .1.3.6.1.2.1.25.2.3.1.6.1&.1.3.6.1.2.1.25.2.3.1.6.3:public@raspi-3
MaxBytes[raspi3-mem]: 100524288
Options[raspi3-mem]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi3-mem]: Mem - 1K pages
Factor[raspi3-mem]: 1024
ShortLegend[raspi3-mem]: B
LegendI[raspi3-mem]: Physical &nbsp;
LegendO[raspi3-mem]: Virtual  &nbsp;
Legend1[raspi3-mem]: Physical 
Legend2[raspi3-mem]: Virtual Memory
Title[raspi3-mem]: Raspberry Pi 3 Memory Usage
PageTop[raspi3-mem]: <H2>Raspberry Pi 3 - Memory Usage</H2>

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp]: `perl GetNTP10usec.pl raspi-3`
MaxBytes[raspi3_ntp]: 20
MaxBytes2[raspi3_ntp]: 40
Unscaled[raspi3_ntp]: dwmy
Title[raspi3_ntp]: NTP offset for Raspberry Pi 3 - precision scale
PageTop[raspi3_ntp]: <h1>NTP offset for Raspberry Pi 3 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi3_ntp]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp]: offset + 20us
ShortLegend[raspi3_ntp]: s
LegendI[raspi3_ntp]: 
LegendO[raspi3_ntp]: offset + 20s:&nbsp;
Legend1[raspi3_ntp]: n/a
Legend2[raspi3_ntp]: time offset in ms, with 20s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 3 - precision timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp_2]: `perl GetNTPmicrosec.pl raspi-3`
MaxBytes[raspi3_ntp_2]: 500
MaxBytes2[raspi3_ntp_2]: 1000
Unscaled[raspi3_ntp_2]: dwmy
Title[raspi3_ntp_2]: NTP performance on Raspberry Pi 3 - microsecond scale
PageTop[raspi3_ntp_2]: <h1>NTP offset for Raspberry Pi 3 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi3_ntp_2]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp_2]: offset + 500us
ShortLegend[raspi3_ntp_2]: s
LegendI[raspi3_ntp_2]: 
LegendO[raspi3_ntp_2]: offset + 500s:&nbsp;
Legend1[raspi3_ntp_2]: n/a
Legend2[raspi3_ntp_2]: time offset in s, with 500s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp-pn]: `perl GetNTPoffsetNs.pl raspi-3`
MaxBytes[raspi3_ntp-pn]: 100000000
Title[raspi3_ntp-pn]: NTP statistics for Raspberry Pi 3 - bipolar scale
Options[raspi3_ntp-pn]: integer, gauge, nopercent, growright
Colours[raspi3_ntp-pn]: BLUE#0033FF, RED#FF0000, BLUE#0033FF, RED#FF0000, 
YLegend[raspi3_ntp-pn]: offset +/- ns
ShortLegend[raspi3_ntp-pn]: ns
LegendI[raspi3_ntp-pn]: offset ns (-):&nbsp;
LegendO[raspi3_ntp-pn]: offset ns (+):&nbsp;
Legend1[raspi3_ntp-pn]: Time offset in ns (-)
Legend2[raspi3_ntp-pn]: Time offset in ns (+)
PageTop[raspi3_ntp-pn]: <H1>NTP offset for Raspberry Pi 3 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp-b]: `perl GetNTP3000usec.pl raspi-3`
MaxBytes[raspi3_ntp-b]: 5990
MaxBytes2[raspi3_ntp-b]: 3000
Unscaled[raspi3_ntp-b]: dwmy
Title[raspi3_ntp-b]: NTP offset for Raspberry Pi 3 - microsecond scale
Options[raspi3_ntp-b]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp-b]: offset + 3ms
kMG[raspi3_ntp-b]: ,ms,,,,
ShortLegend[raspi3_ntp-b]: s
LegendI[raspi3_ntp-b]: 
LegendO[raspi3_ntp-b]: offset + 3000s:&nbsp;
Legend1[raspi3_ntp-b]: n/a
Legend2[raspi3_ntp-b]: time offset in s, with 3000s offset added to ensure it's positive.
PageTop[raspi3_ntp-b]: <H1>NTP offset for Raspberry Pi 3 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - LAN network traffic
#---------------------------------------------------------------

Target[raspi3]: 2:public@raspi-3
MaxBytes[raspi3]: 12500000
Options[raspi3]: unknaszero, growright
Title[raspi3]: Raspberry Pi 3 - LAN Traffic
PageTop[raspi3]: <H1>Raspberry Pi 3 - LAN Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>On board Ethernet interface</TD></TR>
   <TR><TD>Max Speed:</TD><TD>100 Mbit/s Ethernet</TD></TR>
 </TABLE>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Wi-Fi network traffic
#---------------------------------------------------------------

Target[raspi3-wifi]: 3:public@raspi-3
MaxBytes[raspi3-wifi]: 12500000
Options[raspi3-wifi]: unknaszero, growright
Title[raspi3-wifi]: Raspberry Pi 3 - Wi-Fi Traffic
PageTop[raspi3-wifi]: <H1>Raspberry Pi 3 - Wi-Fi Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>USB Wi-Fi adapter</TD></TR>
   <TR><TD>Max Speed:</TD><TD>54 Mbits/s</TD></TR>
 </TABLE>
#---------------------------------------------------------------

